- name: Install fully worked (I hope) STCP server
  hosts: test 
  become: yes

  roles:
    - role: install-stcp
      server_port: 5006
      links_number: 8
      start_ip_addr: 192.168.56.34
      internal_links_name: stcp-5006-
      ext_iface: eth0
      stcp_mode: tun
      stcp_runas: root
      use_auth: no
      use_client_logging: yes
      #stcp_tuntaps
      en_tap_iface: no
      tap_iface_name: 'tap_{{ stcp_instance_name }}'
      tap_iface_ip_addr: 10.10.1.1
      tap_iface_ip_mask: 255.255.255.0

      en_tun_iface: yes
      tun_iface_name: 'tun_{{ stcp_instance_name }}'
      tun_iface_ip_addr: 10.11.1.1
      tun_iface_ip_mask: 255.255.255.0

    - role: install-stcp
      server_port: 4998
      links_number: 8
      start_ip_addr: 192.168.56.2
      internal_links_name: stcp-4998-
      ext_iface: eth0
      stcp_mode: tun
      stcp_runas: root
      use_auth: no
      use_client_logging: yes
      #stcp_tuntaps
      en_tap_iface: no
      tap_iface_name: 'tap_{{ stcp_instance_name }}'
      tap_iface_ip_addr: 10.10.0.1
      tap_iface_ip_mask: 255.255.255.0

      en_tun_iface: yes
      tun_iface_name: 'tun_{{ stcp_instance_name }}'
      tun_iface_ip_addr: 10.11.0.1
      tun_iface_ip_mask: 255.255.255.0